Package org.eclipse.lemminx.services.extensions.completion

## Interface ICompletionResponse

All Known Implementing Classes:
  `CompletionResponse`

    public interface ICompletionResponse

Completion response API.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addCompletionAttribute​(org.eclipse.lsp4j.CompletionItem item)` Add completion attribute.
`void` `addCompletionItem​(org.eclipse.lsp4j.CompletionItem completionItem)` Add completion item.
`void` `addCompletionItem​(org.eclipse.lsp4j.CompletionItem completionItem, boolean comingFromGrammar)` Add completion item and mark as coming from grammar.
`boolean` `hasAttribute​(String attribute)`
`boolean` `hasSomeItemFromGrammar()` Returns `true` if there are completion items coming from grammar and false otherwise.

### Method Detail

#### addCompletionItem

    void addCompletionItem​(org.eclipse.lsp4j.CompletionItem completionItem,
                           boolean comingFromGrammar)

Add completion item and mark as coming from grammar.

Parameters:
  `completionItem` -
  `comingFromGrammar` -

#### addCompletionItem

    void addCompletionItem​(org.eclipse.lsp4j.CompletionItem completionItem)

Add completion item.

Parameters:
  `completionItem` -

#### hasAttribute

    boolean hasAttribute​(String attribute)

#### addCompletionAttribute

    void addCompletionAttribute​(org.eclipse.lsp4j.CompletionItem item)

Add completion attribute.

Parameters:
  `item` -

#### hasSomeItemFromGrammar

    boolean hasSomeItemFromGrammar()

Returns `true` if there are completion items coming from grammar and false otherwise.

Returns:
  `true` if there are completion items coming from grammar and false otherwise.